/**
 * ----------------------------------------------------------------
 * @Copyright   : License MIT 2021
 * @WebSite     : https://www.shiros.fr
 *
 * @Author      : Alexandre Caillot
 *
 * @File        : .babelrc.js
 * @Created_at  : 06/02/2021
 * @Update_at   : 13/02/2021
 * ----------------------------------------------------------------
 */

module.exports = {
    ignore: ["node_modules/**/*"],
    presets: [
        ['@babel/preset-env', {loose: true}]
    ],
    plugins: [
        '@babel/plugin-transform-modules-commonjs',
        '@babel/plugin-proposal-class-properties',
        '@babel/plugin-transform-classes',
        '@babel/plugin-syntax-dynamic-import'
    ]
};
